Bug 199958 - PC speaker non-functional with 2.6.17 kernels
PC speaker non-functional with 2.6.17 kernels
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-07-24 12:05 EDT by James Ralston
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.18-1.2200.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-19 18:01:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Ralston 2006-07-24 12:05:41 EDT
Starting with the 2.6.17 kernels, the PC speaker is non-functional.

The pcspkr module will load, but it doesn't log anything, and the PC speaker
remains non-functional.

If I revert to a 2.6.16 kernel, the PC speaker works again.
Comment 1 Andre Robatino 2006-07-25 13:53:26 EDT
  I haven't had any such problem, on 2 different machines.  You should provide a
description of your hardware.
Comment 2 Dave Jones 2006-10-16 17:15:03 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 James Ralston 2006-10-19 18:01:33 EDT
I only saw this problem on my office PC, which is a Dell Optiplex GX620.

But regardless, one of the last few kernel updates fixed this issue.  (I don't
remember exactly which one, but it was one of the last 2.6.17 kernels.)

Note You need to log in before you can comment on or make changes to this bug.